###############################################################################
# Terraform remote state — Azure Storage Backend
# State storage account must be pre-created (see bootstrap/README.md)
###############################################################################

terraform {
  backend "azurerm" {
    resource_group_name  = "rg-terraform-state"
    storage_account_name = "stgreenfielttfstate"
    container_name       = "mdp-prod"
    key                  = "terraform.tfstate"
    use_azuread_auth     = true
  }
}
